org.eclipse.microprofile.fault.tolerance.tck.metrics

## Class TimeoutMetricBean

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.metrics.TimeoutMetricBean

    @RequestScoped
    public class TimeoutMetricBean
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`TimeoutMetricBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `counterTestWorkForMillis(long millis)`
`void` `histogramTestWorkForMillis(long millis)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TimeoutMetricBean

    public TimeoutMetricBean()

### Method Detail

#### counterTestWorkForMillis

    @Timeout(value=500L)
    public void counterTestWorkForMillis(long millis)

#### histogramTestWorkForMillis

    @Timeout(value=2000L)
    public void histogramTestWorkForMillis(long millis)